use potato_protocol_derive::Packet;

#[derive(Debug, Packet)]
#[packet(play_id = crate::ids::play::serverbound::MOVE_PLAYER_POS_ROT)]
pub struct MovePlayerPosRotPacket {
    pub x: f64,
    pub feet_y: f64,
    pub z: f64,
    pub yaw: f32,
    pub pitch: f32,
    pub flags: u8,
}
